Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class SocketCollectionManager.MessageRetry

    java.lang.Object
      rice.selector.TimerTask
          rice.pastry.socket.SocketCollectionManager.MessageRetry

All Implemented Interfaces:
  CancellableTask, java.lang.Comparable

Enclosing class:
  SocketCollectionManager

protected class SocketCollectionManager.MessageRetry
extends TimerTask

Internal class which represents a message which is currently delayed, waiting for an open socket. The message will be tried using exponential backoff up to BACKOFF_LIMIT times before being dropped.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected SocketSourceRouteManager.AddressManager` | `am` DESCRIBE THE FIELD
`protected Message` | `message` DESCRIBE THE FIELD
`protected SourceRoute` | `route` DESCRIBE THE FIELD
`protected long` | `timeout` DESCRIBE THE FIELD
`protected int` | `tries` DESCRIBE THE FIELD

Fields inherited from class rice.selector.TimerTask
`cancelled, fixedRate, nextExecutionTime, period`

Constructor Summary
`SocketCollectionManager.MessageRetry(SourceRoute route, Message message, SocketSourceRouteManager.AddressManager am)` Constructor, taking a message and the route

Method Summary
`void` | `run()` Main processing method for the DeadChecker object

Methods inherited from class rice.selector.TimerTask
`cancel, compareTo, execute, isCancelled, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tries

    protected int tries

  DESCRIBE THE FIELD

### timeout

    protected long timeout

  DESCRIBE THE FIELD

### route

    protected SourceRoute route

  DESCRIBE THE FIELD

### message

    protected Message message

  DESCRIBE THE FIELD

### am

    protected SocketSourceRouteManager.AddressManager am

  DESCRIBE THE FIELD

Constructor Detail

### SocketCollectionManager.MessageRetry

    public SocketCollectionManager.MessageRetry(SourceRoute route,
                                                Message message,
                                                SocketSourceRouteManager.AddressManager am)

  Constructor, taking a message and the route

Parameters:
  `message` - The message
  `route` - The route
  `am` - DESCRIBE THE PARAMETER

Method Detail

### run

    public void run()

  Main processing method for the DeadChecker object

  Specified by:
    `run` in interface `CancellableTask`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.